# <namespace>

Represents an XML namespace.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
prefix | string | The prefix to associate with the namespace. | True
uri | string | The associated XML namespace URI. | True
if | bool | Indicates if the namespace should be added to the XmlNamespaceManager. If true then the namespace will be added; otherwise, skipped. The default is true. | False
unless | bool | Indicates if the namespace should not be added to the XmlNamespaceManager. list. If false then the parameter will be added; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.90.3780.0)